Class Index | File Index

## Classes

- _global_
- Array
- String
- Tee
- Tee.AfricaMap
- Tee.Animation
- Tee.Annotation
- Tee.Area
- Tee.AsiaMap
- Tee.AustraliaMap
- Tee.Bar
- Tee.Bubble
- Tee.Candle
- Tee.Chart
- Tee.Chart.Axes
- Tee.Chart.Axis
- Tee.Chart.Axis-Grid
- Tee.Chart.Axis-Labels
- Tee.Chart.Axis-Ticks
- Tee.Chart.Axis-Title
- Tee.Chart.Legend
- Tee.Chart.Legend-Symbol
- Tee.Chart.Panel
- Tee.Chart.Scroll
- Tee.Chart.SeriesList
- Tee.Chart.Title
- Tee.Chart.Tools
- Tee.Chart.Wall
- Tee.Chart.Zoom
- Tee.ChartImage
- Tee.CircularGauge
- Tee.ColorGrid
- Tee.CursorTool
- Tee.CustomBar
- Tee.CustomSeries
- Tee.CustomSeries-Pointer
- Tee.Data
- Tee.Data.Dimension
- Tee.Data.Metric
- Tee.Donut
- Tee.DragTool
- Tee.Europe27Map
- Tee.EuropeMap
- Tee.FadeAnimation
- Tee.Font
- Tee.Format
- Tee.Gantt
- Tee.Gradient
- Tee.HorizArea
- Tee.HorizBar
- Tee.Line
- Tee.Map
- Tee.Margins
- Tee.MarksAnimation
- Tee.Palette
- Tee.PaletteSeries
- Tee.Pie
- Tee.Point
- Tee.PointXY
- Tee.Polar
- Tee.Rectangle
- Tee.Series
- Tee.Series.Marks
- Tee.SeriesAnimation
- Tee.Shadow
- Tee.SouthAmericaMap
- Tee.Stroke
- Tee.Surface
- Tee.SVGMap
- Tee.Three
- Tee.Tool
- Tee.ToolTip
- Tee.USAMap
- Tee.Volume
- Tee.WorldMap

# Class Tee.Data.Dimension

Class to represent a Dimension of data.
Defined in: <..\..\src\teechart-data.js>.

Class Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| Tee.Data.Dimension(title, field, id)

Method Summary
Method Attributes | Method Name and Description
--- | ---
| addDimension(title, field, id)
| addLink(field, dimension, datasetField)
| addMetric(title, name, measure)
| addSubDimension(parent, title, field, id)
| anySelected()
| datePart(date)
| get(id)
| getIds()
| getLinksTo(dimension)
| getValues()
| hasParent(dimension)
| inSelected(data)
| isSelected(data)
| search(link, data, inverted)
| searchAcross(lin, o)
| toggleSelected(series, index) Selects or unselects a given series index point value.
| traverse(process) Traverses all items belonging to this dimension and calls the process function for each item.
<inner> | trunc(value)

Class Detail
Tee.Data.Dimension(title, field, id)

Parameters:
{String} title
  The string identifier for this dimension.
{String} field
  The field string to obtain dimension child items.
{String} id Optional, Default: ""
  The optional field string to obtain unique identifiers for dimension child items.

Method Detail
{Tee.Data.Dimension} addDimension(title, field, id)

Parameters:
{String} title
  The string identifier for this dimension.
{String} field
  The field string to obtain dimension child items.
{String} id Optional, Default: ""
  The optional field string to obtain unique identifiers for dimension child items.

Returns:
  {Tee.Data.Dimension} Creates and returns a new child dimension.

{object} addLink(field, dimension, datasetField)

Parameters:
{String|Array} field
  The string field(s) identifier(s) for this origin dimension.
{Tee.Data.Dimension} dimension
  The destination dimension.
{String|Array} datasetField
  The string field(s) identifier(s) for the destination dimension.

Returns:
  {object} Creates and returns a new link object that knows how to get from this origin dimension to destination {dimension} parameter.

{Tee.Data.Metric} addMetric(title, name, measure)

Parameters:
{String} title
  The string identifier for this metric.
{String} name
  The field string to obtain metric values from parent dimension items.
{String} measure Optional, Default: "sum"
  The optional measure style for this metric.

Returns:
  {Tee.Data.Metric} Creates and returns a new metric for this dimension.

addSubDimension(parent, title, field, id)

Parameters:
parent
title
field
id

{boolean} anySelected()

Returns:
  {boolean} Returns true when selected filter is not empty.

{Number} datePart(date)

Parameters:
{Date} date
  The Date value.

Returns:
  {Number} Returns the currently selected part of {date} parameter.

{object} get(id)

Parameters:
{object} id
  The identifier value to search for.

Returns:
  {object} Search for an item with {id} as identifier and return it.

getIds()

getLinksTo(dimension)

Parameters:
dimension

getValues()

{boolean} hasParent(dimension)

Parameters:
{Tee.Data.Dimension} dimension
  The dimension to test as parent.

Returns:
  {boolean} Returns true when this dimension has {dimension} parameter as parent in the hierarchy.

{boolean} inSelected(data)

Parameters:
{object} data
  The value to check for.

Returns:
  {boolean} Returns true when data is a value of the current selected filter.

{boolean} isSelected(data)

Parameters:
{object} data
  The value to search.

Returns:
  {boolean} Returns true when {data} parameter is in the currently selected list.

search(link, data, inverted)

Parameters:
link
data
inverted

searchAcross(lin, o)

Parameters:
lin
o

toggleSelected(series, index)
Selects or unselects a given series index point value.

Parameters:
{Tee.Series} series
  The series to toggle its index point format.
index

traverse(process)
Traverses all items belonging to this dimension and calls the process function for each item.

Parameters:
{function} process
  The function that will get called for each item in the dimension.

<inner> trunc(value)

Parameters:
value

Documentation generated by JsDoc Toolkit 2.4.0 on Wed Oct 23 2013 16:27:37 GMT+0200 (CEST)